docusign.connect-configurations.post-connect-oauth-config
Sets up Connect OAuth for the specified account using an authorization server of your choice. To use this endpoint, get the client ID and client secret from your authorization server. When you call this endpoint, Docusign requests an access token from your authorization server. Docusign will use that token in the Authorization HTTP header of your account's Connect messages. Finally, your listener will be responsible for validating the token by calling the authorization server. <ds-inlinemessage> To use this method, you must be an account administrator and Connect must be enabled on your account. </ds-inlinemessage> ## Related topics: - OAuth for Docusign Connect
Set up Connect OAuth for the specified account.
Overview
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
authorizationserverurl | string | No | — | The token URL for your authorization server or OAuth service. This property is required. |
clientid | string | No | — | The client ID assigned to your app by your authorization server or OAuth service. This property is required. |
clientsecret | string | No | — | The secret value provided by your authorization server. This property is required. |
customparameters | json | No | — | — |
scope | string | No | — | The scopes that your app will request from the authorization server. This property is optional. Note: If you are using Azure, this value is the application ID URI of the secified resource affixed with the .default. For example: api:///.default |
Output Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
authorizationserverurl | string | No | — | The token URL for your authorization server or OAuth service. This property is required. |
clientid | string | No | — | The client ID assigned to your app by your authorization server or OAuth service. This property is required. |
clientsecret | string | No | — | The secret value provided by your authorization server. This property is required. |
customparameters | json | No | — | — |
scope | string | No | — | The scopes that your app will request from the authorization server. This property is optional. Note: If you are using Azure, this value is the application ID URI of the secified resource affixed with the .default. For example: api:///.default |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call POST /v2.1/accounts/{accountId}/connect/oauth |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram
Transitions
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform POST /v2.1/accounts/{accountId}/connect/oauth |
* (any state) | fail | failed | Record the failure reason |
API Usage
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.connect-configurations.post-connect-oauth-config",
"initial_data": {
"base_url": "value",
"accountid": "value"
}
}